package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.EmpresaNequiConfigDAO;
import com.rjconsultores.ventaboletos.entidad.EmpresaNequiConfig;

@Repository("empresaNequiConfigDAO")
public class EmpresaNequiConfigHibernateDAO extends GenericHibernateDAO<EmpresaNequiConfig, Integer>
		implements EmpresaNequiConfigDAO {

	@Autowired
	public EmpresaNequiConfigHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<EmpresaNequiConfig> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

		return c.list();
	}

	public EmpresaNequiConfig buscarByEmpresa(Integer empresaId) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		c.add(Restrictions.eq("empresa.empresaId", empresaId));

		return (EmpresaNequiConfig) c.uniqueResult();
	}
}
